Name:		HMCL
Version:	3.5.5
Release:	1%{?dist}
Summary:        A cross-platform Minecraft launcher
License:        GPL-3.0
URL:            https://github.com/HMCL-dev/HMCL
Source0:        %{url}/releases/download/release-%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	desktop-file-utils
Requires:	java-17-openjdk

%description
HMCL is a cross-platform Minecraft launcher which supports Mod Management, Game Customizing, Auto Installing (Forge, Fabric, Quilt, LiteLoader and OptiFine), Modpack Creating, UI Customization, and more.

HMCL has amazing cross-platform capabilities. It can not only run on different operating systems such as Windows, Linux, and macOS, but also supports multiple CPU architectures such as x86, arm, mips, and loongarch. You can easily play Minecraft on different platforms through HMCL.

%prep
%autosetup

%build

%install
mkdir -p %{buildroot}%{_libexecdir}/%{name}/
mkdir -p %{buildroot}%{_bindir}/
cp %{_builddir}/%{name}-%{version}/%{name}-%{version}.jar %{buildroot}%{_libexecdir}/%{name}/%{name}.jar
cp %{_builddir}/%{name}-%{version}/%{name}.desktop %{buildroot}%{_libexecdir}/%{name}/%{name}.desktop
cp %{_builddir}/%{name}-%{version}/icon.png %{buildroot}%{_libexecdir}/%{name}/icon.png
echo "create desktop icon"
desktop-file-validate %{buildroot}%{_libexecdir}/%{name}/%{name}.desktop
desktop-file-install %{buildroot}%{_libexecdir}/%{name}/%{name}.desktop
%post
update-desktop-database

%files
%attr(755, root, root) %{_libexecdir}/%{name}/%{name}.jar
%attr(755, root, root) %{_libexecdir}/%{name}/%{name}.desktop
%attr(755, root, root) %{_libexecdir}/%{name}/icon.png
%{_datadir}/applications/HMCL.desktop

%changelog
* Wed Feb 21 2024 wangyaoyong <yaoyong.oerv@isrc.iscas.ac.cn> - 3.5.5-1
- Init package 
